de.esprit.netsuite.server.abo

## Interface PrimaryKey

- All Superinterfaces:
    java.lang.Comparable, Dumpable, Renderable, java.io.Serializable
  All Known Implementing Classes:
    ABOPrimaryKey, AbstractPrimaryKey, SingletonPrimaryKey

      public interface PrimaryKey
      extends java.io.Serializable, Dumpable, Renderable, java.lang.Comparable

  This interface defines a primary key for business objects. It is used as the key in the business object cache.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getABOClassName()` Returns the fully qualified class name of the business object
    `java.lang.String` | `getResourceName()` Returns a unique String used for locking the resource
    `ResourceType` | `getResourceType()` Tells what resource type should be locked for this PK
    `java.lang.Object` | `getValue()` Convenience Method for returning the first element of the primary key.
    `java.lang.Object[]` | `getValues()` Returns the primary key values as a string array.
    `boolean` | `isSingleton()` Tells whether this key must only contain a type field
    `void` | `setValues(java.lang.Object... args)` Sets the primary key values

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.gui.Renderable

      `getRenderColor, getRenderIcon, getRenderText`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getABOClassName

          java.lang.String getABOClassName()

      Returns the fully qualified class name of the business object

    - #### getValues

          java.lang.Object[] getValues()

      Returns the primary key values as a string array.

    - #### getValue

          java.lang.Object getValue()

      Convenience Method for returning the first element of the primary key. Quite useful because most ABOs have got a single element primary key.

    - #### setValues

          void setValues(java.lang.Object... args)

      Sets the primary key values

    - #### getResourceName

          java.lang.String getResourceName()

      Returns a unique String used for locking the resource

    - #### isSingleton

          boolean isSingleton()

      Tells whether this key must only contain a type field

    - #### getResourceType

          ResourceType getResourceType()

      Tells what resource type should be locked for this PK

Copyright © 2014 EsprIT-Systems. All Rights Reserved.